Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Common/vtkObjectFactory.h File Reference

`#include "vtkObject.h"`

Include dependency graph for vtkObjectFactory.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

class | vtkObjectFactory
| abstract base class for vtkObjectFactories More...
struct | OverrideInformation

## Defines

#define | VTK_CREATE_CREATE_FUNCTION(classname)
#define | VTK_FACTORY_INTERFACE_EXPORT
#define | VTK_FACTORY_INTERFACE_IMPLEMENT(factoryName)

## Define Documentation

#define VTK_CREATE_CREATE_FUNCTION | ( | classname |  | ) |

Value:

    static vtkObject* vtkObjectFactoryCreate##classname() \
    { return classname::New(); }

Definition at line 261 of file vtkObjectFactory.h.

#define VTK_FACTORY_INTERFACE_EXPORT

| Definition at line 271 of file vtkObjectFactory.h.

#define VTK_FACTORY_INTERFACE_IMPLEMENT | ( | factoryName |  | ) |

Value:

    extern "C"                                      \
    VTK_FACTORY_INTERFACE_EXPORT                    \
    const char* vtkGetFactoryCompilerUsed()         \
    {                                               \
      return VTK_CXX_COMPILER;                      \
    }                                               \
    extern "C"                                      \
    VTK_FACTORY_INTERFACE_EXPORT                    \
    const char* vtkGetFactoryVersion()              \
    {                                               \
      return VTK_SOURCE_VERSION;                    \
    }                                               \
    extern "C"                                      \
    VTK_FACTORY_INTERFACE_EXPORT                    \
    vtkObjectFactory* vtkLoad()                     \
    {                                               \
      return factoryName ::New();                   \
    }

Definition at line 279 of file vtkObjectFactory.h.